#!/usr/bin/env node

/**
 * Take coverage for this project.
 */

"use strict";

process.chdir(__dirname + '/..');


var apeCovering = require('ape-covering'),
    apeTasking = require('ape-tasking');

apeTasking.runTasks('cover', [
    function (callback) {
        apeCovering.measureCoverage('./ci/test.js', {
            dir: 'coverage'
        }, callback);
    }
], true);
