#!/usr/bin/env node

/**
 * Run tests.
 */

"use strict";

process.chdir(__dirname + '/..');

var apeTesting = require('ape-testing'),
    apeTasking = require('ape-tasking');

apeTasking.runTasks('test', [
    function (callback) {
        apeTesting.runNodeunit([
            '*_test.js',
            'test/**/*_test.js'
        ], {
            reporter: 'default'
        }, callback);
    }
], true);
