#!/usr/bin/env node

/**
 * Test for index.js
 * Runs with nodeunit.
 */

"use strict";

var buds = require('../lib'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, '../tmp');

var basedir;

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    basedir = process.cwd();
    done();
};
exports.tearDown = function (done) {
    process.chdir(basedir);
    done();
};

exports['Eval properties.'] = function (test) {
    Object.keys(buds).forEach(function (key) {
        test.ok(buds[key]);
    });
    test.done();
};


