#!/usr/bin/env node

/**
 * Build this project.
 */

process.chdir(__dirname + '/..');

var apeTasking = require('ape-tasking'),
    execcli = require('execcli'),
    coz = require('coz');

var official = require('../lib');

apeTasking.runTasks('build', [
    function (callback) {
        execcli('./ci/scaffold.js', callback);
    },
    function (callback) {
        coz.render([
            '.*.bud',
            'lib/.*.bud',
            'test/.*.bud'
        ], callback);
    }
], true);
