#!/usr/bin/env node

/**
 * Send coverage to codeclimate
 */

"use strict";

process.chdir(__dirname + '/..');

var apeReporting = require('ape-reporting'),
    apeTasking = require('ape-tasking');

apeTasking.runTasks('report', [
    function (callback) {
        apeReporting.sendToCodeclimate({
            'lcov':'coverage/lcov.info'
        }, callback);
    }
], true);
